Download it now!
Bug 121383 - Filesave ODS: First save after opening quit slow
Summary: Filesave ODS: First save after opening quit slow
Status: VERIFIED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
Depends on:
Blocks:
 
Reported: 2018-11-13 08:42 UTC by Telesto
Modified: 2019-06-03 16:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
large file to demonstrate bug (905.18 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-11-13 23:00 UTC, Kevin
Details
Example file (601.92 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-11-20 08:47 UTC, Telesto
Details
Perf flamegraph (1.56 MB, image/svg+xml)
2019-04-19 08:01 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-11-13 08:42:43 UTC
Description:
Filesave ODS: First save after opening quit slow. Might be a duplicate of bug 121382 (which is the source). Different format (and feels slower) compared to bug 121382 (which I can't reproduce).. 

Steps to Reproduce:
1. Open the attached file
2. Save

Actual Results:
First save: 37 seconds
Second save: 6 seconds 





Expected Results:
Something around 8 seconds 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: 397dd8a5f7694540f31f32759c2c915d63506ccd
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-07_23:58:04
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Kevin 2018-11-13 23:00:58 UTC Comment hidden (obsolete)
Comment 2 Dieudonne Dukuzumuremyi 2018-11-14 02:34:39 UTC
Hello,
I have tried to reproduce:
Steps:
1. I downloaded t=your ODS file,
2. I opened a new Calc file LibreOffice 6.1.2.1 (x64)
3. I copied all the contents from your file to my new file.
4. I did Save as ODS file: Time to save was around 5 to 7 Seconds
5. I closed the file and reopen it.
6. I added one line of text and Save it again: This took 7 Seconds

I tried the same process in Microsoft Office 2010.
Saving time is more faster around 3 to 5 second.

I used LibreOffice:
Version: 6.1.2.1 (x64)
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 8; OS: Windows 6.3; UI render: default; 
Locale: en-US (en_US); Calc: group threaded
Comment 3 Joel Madero 2018-11-20 07:52:07 UTC
Telesto -

Is this a regression compared to older releases? Please test: https://downloadarchive.documentfoundation.org/libreoffice/old/

Please test several versions if possible, change the "version" field to the oldest version that shows the issue.

Moving to:
Trivial - zero impact on getting the job done, 20ish second delay apparently on a single save;
Lowest - default for trivial bugs.

Marking as NEEDINFO until we get information about older releases.
Comment 4 Telesto 2018-11-20 08:47:49 UTC
Created attachment 146812 [details]
Example file

Sorry, I added the wrong file (xlsx instead of ods)
Comment 5 Telesto 2018-11-20 08:49:43 UTC
6 seconds in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 6 Xisco Faulí 2019-02-07 20:45:01 UTC
15 seconds in

Version: 6.3.0.0.alpha0+
Build ID: 31d3369803ce4eceab5ef708f2cd33748b6d10ea
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Telesto, what are your measurements in master ?
Comment 7 Ahiijny 2019-03-13 14:12:17 UTC
For me:

First save: 16 seconds
Second save: 16 seconds
Third save: 16 seconds

Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: en-CA (en_CA.UTF-8); Calc: group

*

First save: 86 seconds
Second save: 88 seconds
Third save: 85 seconds

Version: 6.2.1.2
Build ID: libreoffice-6.2.1.2-snap1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-CA (en_CA.UTF-8); UI-Language: en-US
Calc: threaded

*

One thing I noticed is that the progress bar moves fairly swiftly at first, and only stops once it gets to a short distance before the end, and stays motionless here for the longest time. What a cheeky progress bar :/
Comment 8 Xisco Faulí 2019-04-16 09:32:40 UTC
(In reply to Xisco Faulí from comment #6)
> 15 seconds in
> 
> Version: 6.3.0.0.alpha0+
> Build ID: 31d3369803ce4eceab5ef708f2cd33748b6d10ea
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @Telesto, what are your measurements in master ?

Putting to NEEDINFO until the info is provided...
Comment 9 Xisco Faulí 2019-04-16 09:35:46 UTC
In

Version: 5.4.0.0.alpha1+
Build ID: 9feb7f7039a3b59974cbf266922177e961a52dd1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

it was

real	0m31,939s
user	0m31,683s
sys	0m0,479s

while in

Version: 6.3.0.0.alpha0+
Build ID: 033e1130a65ec7f0fa9c46e5124adc9d8bf724ba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

it's 

real	0m21,914s
user	0m22,042s
sys	0m0,371s

so it's improving...
Comment 10 Telesto 2019-04-16 13:47:49 UTC
Still the same as comment 0
Version: 6.3.0.0.alpha0+
Build ID: 3a5d78365dd172881c16c03e67f2d170ffc6d7d4
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-04-09_22:53:59
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL

Not sure if it makes any difference between saving inside Libo or command-line save
Comment 11 Buovjaga 2019-04-19 08:01:25 UTC
Created attachment 150875 [details]
Perf flamegraph

It is slow.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 1fee3f1da6291bfbcd75455512726215d41b3e83
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 18 April 2019
Comment 12 Noel Grandin 2019-05-20 15:10:23 UTC
This is down around 3s for me with current master, that seems good enough
Comment 13 Xisco Faulí 2019-06-03 16:11:52 UTC
it takes

real	0m10,675s
user	0m11,121s
sys	0m0,636s

to save the file with a clean profile in

Version: 6.3.0.0.beta1+
Build ID: 219e128553645911685b6061f7c5ea359a4c551c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

while in

Version: 6.2.5.0.0+
Build ID: 0d657498080aad86f4b97309fff9bf589c57dc2e
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

it takes

real	1m46,810s
user	1m35,964s
sys	0m1,128s

setting to VERIFIED WORKSFORME as the commit which fixed this issue hasn't been identified.